/* ** protocol.h ********************************* */
/* Say what this file is. */
/* *********************************************** */
#ifndef _CLIENTLIST_H_
#define _CLIENTLIST_H_

/* -- Include File ------------------------------- */
#include <unistd.h>
#include <sys/types.h>
#include "struct.h"

/* -- Macro Definition --------------------------- */

/* -- Type Decleration --------------------------- */

/* -- External Data ------------------------------ */
extern CLIENTDATA *ClientList;

/* -- Protype Declerations  ---------------------- */
int AddClient( int Socket );
int RemoveClient( CLIENTDATA *p );
int DeleteClient( CLIENTDATA *p );
int CleanClient( void );
int SetSocketDiscriptorToRead( fd_set *FdSet );
int SetSocketDiscriptorToWrite( fd_set *FdSet );
int SocketDiscriptorNum( void );
CLIENTDATA *MatchSocketDiscriptor( const fd_set *FdSet );
CLIENTDATA *MatchSocket( int soc );
int ChallengerNum( CLIENTDATA *me );


#endif _CLIENTLIST_H_

