/* ** game.h ************************************* */
/* Datas which contains Games. */
/* *********************************************** */
#ifndef _GAME_H_
#define _GAME_H_

/* -- Include File ------------------------------- */
#include "struct.h"

/* -- Macro Definition --------------------------- */
#define THEOTHERPLAYER( player ) \
   (player->game->CurrentPlayer == player) ? \
   player->game->NonCurrentPlayer : \
   player->game->CurrentPlayer
   

/* -- Type Decleration --------------------------- */

/* -- External Data ------------------------------ */
extern GAMEDATA *GameList;

/* -- Protype Declerations  ---------------------- */
extern int InitGame( CLIENTDATA *player1, CLIENTDATA *player2 );
extern int CleanGame( GAMEDATA *game );
extern int CleanGameWithEmergence( GAMEDATA *game, CLIENTDATA *client );
extern CLIENTDATA *FindClientSelectingEnemy( CLIENTDATA *me );
extern void FlipPlayer( GAMEDATA *game );
extern int GameNum( void );
GAMEDATA *MatchGameId( int id );
void AddViewer( GAMEDATA *game, CLIENTDATA *ViewClient );
int RemoveViewer( GAMEDATA *game, CLIENTDATA *client );
int DeleteViewer( GAMEDATA *game, CLIENTDATA *client );


#endif _GAME_H_

