/* ** judge.h ************************************ */
/* Declerations for Judge. */
/* *********************************************** */
#ifndef _JUDGE_H_
#define _JUDGE_H_

/* -- Include File ------------------------------- */
#include "struct.h"
#include "protocol.h"
#include "clientlist.h"
#include "game.h"

/* -- Macro Definition --------------------------- */
#define abs(x) ( ( (x) > 0 ) ? (x) : (-(x)) )

/* -- Type Decleration --------------------------- */

/* -- External Data ------------------------------ */

/* -- Protype Declerations ---------------------- */
void Cheat( GAMEDATA *game, int x, int y, PIECE *pPiece, SIDE *pSide,
		   int *pIsPromoted );
JUDGERESULT ExamineHand( GAMEDATA *game, const CLIENT_MESSAGE *data,
						 JUDGE *judge );
JUDGERESULT ExamineHandSub( GAMEDATA *game, const CLIENT_MESSAGE *data,
						 JUDGE *judge );
JUDGERESULT ExamineMove( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_Pawn( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_Lance( GAMEDATA *Sight_game,
							  CLIENT_MESSAGE *Sight_data, JUDGE*judge );
JUDGERESULT ExamineMove_Knight( GAMEDATA *Sight_game,
							  CLIENT_MESSAGE *Sight_data, JUDGE*judge );
JUDGERESULT ExamineMove_Silver( GAMEDATA *Sight_game,
							  CLIENT_MESSAGE *Sight_data, JUDGE*judge );
JUDGERESULT ExamineMove_Gold( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_Bishop( GAMEDATA *Sight_game,
							  CLIENT_MESSAGE *Sight_data, JUDGE*judge );
JUDGERESULT ExamineMove_Rook( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_King( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_Uma( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineMove_Ryu( GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data,
						JUDGE*judge );
JUDGERESULT ExamineCheck( GAMEDATA *game, const CLIENT_MESSAGE *data,
		JUDGE *judge, GAMEDATA *Sight_game, CLIENT_MESSAGE *Sight_data );
int ExamineCheck_Sub( GAMEDATA *Sight_game, CLIENT_MESSAGE *tmp_data );


#endif _JUDGE_H_
