/* ** notation.h ********************************* */
/* include file for routines handling notations. */
/* *********************************************** */
#ifndef _NOTATION_H_
#define _NOTATION_H_

/* -- Include File ------------------------------- */
#include "struct.h"

/* -- Macro Definition --------------------------- */
#define MAGIC "TUITATE_NOTATION"

/* -- Type Decleration --------------------------- */

/* -- External Data ------------------------------ */
extern NOTATIONDATA *NotationList;

/* -- Protype Declerations  ---------------------- */
extern void InitNotationList( void );
extern void UpdateNotationList( void );
extern void CleanupNotationList( void );
extern int NotationNum( void );
extern int DeleteNotation( int NotationID );
extern int AddSavePropertyToNotation( int NotationID );
extern int RemoveSavePropertyFromNotation( int NotationID );
extern int GenerateNotationID( void );

#endif _NOTATION_H_
